/*
 *
 * Layout
 *
 *
*/


/* Header
-----------------------------------------------------------------------------*/

/* Navbar */
#masthead{
	@extend .navbar;
	@extend .navbar-inverse;
	@extend .navbar-fixed-top;
	a{
		text-transform: uppercase;
		font-weight: 900;
	}
	> div{
		@extend .container;
	}
	.navbar-header{
		img{
			width: 17.5rem;
		}
		.navbar-brand{
			small{
				font-size: $font-size-small;
				@media (max-width: $grid-float-breakpoint){
					display: none;
				}
			}
		}
	}
	#ds-navbarmenu{
		@extend .collapse;
		@extend .navbar-collapse;
		> nav{
			@extend .nav;
			@extend .navbar-nav;
			@extend .navbar-right;
		}
		div.wpml-ls-statics-shortcode_actions{
			@extend .nav;
			@extend .navbar-nav;
			> ul{
				@extend .nav;
				@extend .navbar-nav;
			}
		}
	}
}

/* Main
-----------------------------------------------------------------------------*/
.main{
	@extend .container;
}

/* Masonry, categories y speakeres */
body.category article.post,
body.tag article.post,
body.post-type-archive-fearless_speackers .fearless_speackers,
body.post-type-archive-fearless_interviews .fearless_interviews,
body.post-type-archive-fearless_press .fearless_press,
.grid-sizer{
	float: left;
	margin: 3rem 1rem;
}

body.category article.post,
body.tag article.post,
body.post-type-archive-fearless_speackers .fearless_speackers,
body.post-type-archive-fearless_interviews .fearless_interviews,
body.post-type-archive-fearless_press .fearless_press{
	width: 92%;
	padding: .75rem;
	@media (min-width: $screen-sm){
		width: 46%;
	}
	@media (min-width: $grid-float-breakpoint){
		width: 30%;
	}
	img{
		max-width: 100%;
		margin-bottom: 1.5rem;
	}
	h2{
		font-size: $font-size-h3;
		margin: 0;
	}
	.entry-content{
		margin-top: 0;
		li.ds-position{
			font-weight: 900;
		}
	}
}



/* Footer
-----------------------------------------------------------------------------*/
#colophon{
	color: $gray-brand-light;
	margin-top: 3rem;
	@media (min-width: $screen-sm){
		margin-top: 6rem;
	}
	a{
		color: $white;
	}
	#main-footer{
		background-color: $navbar-inverse-bg;
		padding: 4.5rem 0;
		.bg-twitter ul{
			@extend .list-unstyled;
			li{
				margin: .75rem 0;
			}
		}
	}
	#sub-footer{
		font-size: $font-size-small;
		background-color: darken($navbar-inverse-bg,10%);
		padding: 1.5rem 0;
		p{
			text-align: right;
		}
		ul{
			@extend .list-inline;
		}
		ul,p{
			margin-bottom: 0;
			@media (max-width: $screen-sm){
				text-align: center;
			}
		}
	}
}
